#{extends 'borderNG.html' /}
#{set 'titleHead'} e-Kontrak #{/set}

<ul class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">Paket Tender PPK</a></li>
	<li><a href="@{kontrak.SppbjCtr.sppbjPpk(lelang?.lls_id)}">e-Kontrak</a></li>
	<li class="active">Daftar e-Kontrak</li>
</ul>
<div class="content">
		#{alert /}
			<table id="tblsppbj" class="table table-sm">
				<thead>
					<tr>
						<th width="15%">Nomor</th>
						<th width="10%">Tanggal</th>
						<th width="15%">Penyedia</th>
						<th width="15%">Surat Perjanjian</th>
						<th width="15%">Harga Kontrak</th>
						<th width="10%">SSKK</th>
						<th width="10%">SPMK/SPP</th>
						<th width="10%">Pembayaran</th>
						*{<th>Penilaian</th>}*
					</tr>
				</thead>
			</table>
			#{if allowCreateSppbj}
				<a class="btn btn-success" href="@{kontrak.SppbjCtr.sppbjPpkDetil(lelang.lls_id)}">Tambah SPPBJ</a>
			#{/if}
			<a href="@{BerandaCtr.index()}"  class="btn btn-secondary"> Kembali</a>
		</div>
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">
var viewSppbj  = #{jsRoute @kontrak.SppbjCtr.sppbjPpkDetil(lelang.lls_id, ':id') /};
var viewKontrak  = #{jsRoute @kontrak.SuratPerjanjianCtr.suratPerjanjianPpk(':sppbj_id') /};
var viewPesanan = #{jsRoute @kontrak.SppCtr.suratPesananPpk(':id') /};
var viewSPMK  = #{jsRoute @kontrak.SppCtr.spmk(':id') /};
var viewSskk  = #{jsRoute @kontrak.SskkCtr.pilihCaraPembayaran(':id') /};
var viewPembayaran  = #{jsRoute @kontrak.PembayaranCtr.daftarPembayaran(':id') /};
var penilaian_sikap  = #{jsRoute @lelang.EvaluasiCtr.penilaian_sikap(':id') /};

var table = $("#tblsppbj").DataTable({
	order: [[0, "desc"]],
	ajax: "@{DataTableCtr.ppkSppbj(lelang.lls_id)}",
    columns: [
		{render: function(data, type, row) {
			var id = row[3];
			return '<u><a href="'+viewSppbj.url({id:id})+'"">'+row[0] + '</a></u>';
		}},
		null,
		null,
		{orderable:false,render: function(data, type, row) {
		 	var id = row[3];
			return '<a href="'+viewKontrak.url({sppbj_id:id})+'" class="btn btn-sm btn-secondary">Kontrak</a>';
		}},
		{orderable:false},
		{orderable:false,render: function(data, type, row) {
			var kontrakId = row[6];
			if(kontrakId == null) {
				return '<a href="javascript:void(0)" disabled="disabled" class="btn btn-sm btn-secondary disabled">SSKK</a>';
			}
		 	var id = row[3];
			return '<a href="'+viewSskk.url({id:id})+'" class="btn btn-sm btn-secondary dialog" title="Syarat Syarat Khusus Kontrak (SSKK)">SSKK</a>';
		}},
		{orderable:false,render: function(data, type, row) {
		 	var isBarang = row[5] == '0';
			var sskk_content = row[8];
			if(sskk_content === null || sskk_content === '') {
				return isBarang ? '<a href="javascript:void(0)" disabled="disabled" class="btn btn-sm btn-secondary disabled">Surat Pesanan</a>' : '<a href="javascript:void(0)" disabled="disabled" class=" btn-secondary">SPMK</a>';
			}
		 	var id = row[3];
			return isBarang ? '<a href="'+viewPesanan.url({id:id})+'" class="btn btn-sm btn-secondary">Surat Perintah Pengiriman</a>' : '<a href="'+viewSPMK.url({id:id})+'" class=" btn-secondary">SPMK</a>';
		}},
		{orderable:false,render: function(data, type, row) {
		 	var id = row[6];
		 	var pes_id = row[8];
			if(pes_id == null) {
				return '<a href="javascript:void(0)" disabled="disabled" class="btn btn-sm btn-secondary disabled">Pembayaran</a>';
			}

			return '<a href="'+viewPembayaran.url({id:id})+'" class="btn btn-sm btn-secondary">Pembayaran</a>';
		}}//,
// 		{orderable:false,render: function(data, type, row) {
// 		 	var id = row[4];
// 			return '<a href="'+penilaian_sikap.url({id:id})+'" class="btn btn-sm btn-secondary">Buat</a>';
// 		}}
	]
})
$('#tblsppbj_filter input').unbind();
    $('#tblsppbj_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
    }
});
</script>
#{/set}